html{
font-family:ui-sans-serif,Roboto,BlinkMacSystemFont,-apple-system,system-ui,Segoe UI,Helvetica,Arial,sans-serif;
font-size: 17px;
line-height: 1.42;
-webkit-text-size-adjust: 100%;
text-size-adjust: 100%; 
color: #0A0A0A;
box-sizing: border-box;	
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
margin: 0;
padding: 0;
background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%' height='600'%3E%3Cdefs%3E%3CradialGradient id='grad1' cx='0%' cy='0%' r='100%' fx='0%' fy='0%'%3E%3Cstop offset='0%' style='stop-color:%23F1F3F5; stop-opacity:1'/%3E%3Cstop offset='100%' style='stop-color:%23FFFFFF; stop-opacity:1'/%3E%3C/radialGradient%3E%3C/defs%3E%3Crect width='100%' height='100%' fill='url(%23grad1)'/%3E%3C/svg%3E") no-repeat;
overflow-y: scroll;
}

h1 {font-weight: 300; font-size: 32px; margin: 5px 0px 25px 0px;}
h2 {
padding: 0px;
font-size: 30px;
margin: 0px 0px 20px;
font-weight: 300;
}

h3 {margin: 0px 0px 20px; font-size: 28px; font-weight: 300;}

ul, p {list-style-type: none; margin: 0; padding: 0;}

input[type="button"], input[type="text"], textarea, select{
-webkit-appearance: none; 
appearance: none; 
box-shadow: none;
font-size: 17px;
font-family: inherit;
box-sizing: border-box;
border: 1px solid #c1c1c1;
border-radius: 2px;
padding: 0px;
}

input[type="text"]:focus, select:focus:not(.floating-select select) {
outline: 1px solid #0A0A0A;
}

select {
background: transparent url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 14 10"><polyline points="1,2 6,9 12,2" stroke="black" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round"/></svg>') no-repeat right 3px center;
background-size: 10px;
padding: 1px 18px 1px 4px;
color: #0A0A0A;
min-width: 22px;
outline: none; 
}

select option {
padding-left: 5px; 
}

input[type="button"], input[type="submit"], select, #clear-svg, #clear-ic, #menu-button, .menu-item, .copy-text {cursor: pointer}

input::placeholder, textarea::placeholder {
color: #b1b1b1;
opacity:1;
}
a{color: #0A0A0A;text-decoration: none;}
b{font-weight: 600;}
#header {
display: flex;
margin: 0px auto;
max-width: 1150px;
height: 60px;
margin-top: 8px;
margin-bottom: 15px;
}
.header-item{
flex-shrink: 0;
align-content: center;
user-select: none;
-webkit-user-select: none;
}
.header-item:last-of-type{
max-width: 640px;
margin-left: auto;
flex-grow: 1;
text-align: right;
}
.global-link {
display: block;
height: 50px;
font-size: 32px;
}
.global-link svg use{stroke: #000; fill: #000}
.search-container{position: relative;	margin: 7px 0 10px 0;}
#header-search{
max-width: 640px;
width:100%;
background-size: 30px 19px;
border: solid 1px #dedede;
border-radius: 30px;
padding: 10px 38px 10px 15px;
cursor: text;
}
#search-icon{
position: absolute;
top: 12px;
right: 15px;
}
#search-svg, #clear-svg, #clear-ic {
stroke: #000;
fill: #fff;
width: 20px;
height: 20px;
}
.autc-items {
max-height: 334px;
overflow: auto;
position: relative;
text-align: left;
border-radius: 5px;
box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
width: calc(100% + 100px);
left: -100px;
z-index: 99;
margin: 10px 0px;
}
.autc-items div {
padding: 6px;
cursor: pointer;
background-color: #fff; 
border-bottom: 1px solid #f0f0f0; 
}
.autc-actv, .autc-items div:hover {background-color: #f0f0f0!important; }
.items-aist:nth-of-type(1){font-style:oblique;cursor: default;}
.items-aist:nth-of-type(1):hover {background:#ffffff!important;}
#menu-button {
color: #000; 
float: left; 
font-size: 17px; 
font-weight: 400; 
padding: 8px; 
}
#menu-button.active {color: #FFBE0F}
#menu-button span {text-decoration: underline 0.5px;}
#menu-button svg {
vertical-align: middle;
padding-right: 5px;
padding-bottom: 3px;
margin-right: 3px;
width: 25px; 
height: 25px;
}

#menu-button .line {
stroke: #000;
stroke-width: 6;
stroke-linecap: round;
transition: transform 0.3s ease, opacity 0.3s ease;
}
#menu-button .line1, #menu-button .line2 {transform-origin: 50% 50%;}
#menu-button.active .line1 {transform: rotate(45deg) translate(5px, 5px);stroke: #FFBE0F}
#menu-button.active .line2 {transform: rotate(-45deg) translate(5px, -5px);stroke: #FFBE0F}
.active#menu-button::after {
border-color: #FFBE0F;
-webkit-transform: rotate(-135deg);
transform: rotate(-135deg);
}

#menu.menu {
display: none;
position: absolute;
width: 100%;
top: 72px;
right: 0;
background: #fff;
box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
opacity: 0;
z-index: 99;
transform: translateY(-20px);
transition: opacity 0.3s ease, transform 0.3s ease; 
}

#menu.menu.pre-open {display: block!important;}
#menu.menu.open {opacity: 1;transform: translateY(0);}

.menu-categories{
max-width:1150px;
margin: 0 auto;
text-align: center;
padding: 30px 0;
}

.menu-item{
display:inline-block;
width: 175px;
border: 1px solid #DADEE9;
border-radius: 5px;
text-align: center;
padding: 30px 5px 35px 5px;
margin: 5px;
}

.menu-item div:first-child{font-size: 24px;}
#menu-button, #comment-button {-webkit-tap-highlight-color: rgba(0, 0, 0, 0);}
main {max-width: 1150px; margin: 0 auto; padding-bottom: 50px;}

.breadcrumb li{display: inline-block;}
.breadcrumb {color: #d0d0d0;}
.breadcrumb a {
font-size: 15px;
color: #3E3D4F;
display: inline;
}

.catalog-section{
display: flex;
flex-wrap: wrap;
gap: 10px 30px;
margin-bottom: 60px;
}
.catalog h2{width: 100%;}
.catalog ul{list-style-type: none;padding: 0 0 0 30px;}
.catalog li{margin-bottom: 10px;}
.catalog a:hover {text-decoration: underline;}
.catalog h3 {font-size: 24px;}
article p {margin: 16px 0;}
.plst::before {content: "\2022";padding-right: 8px;}
#result .katex{font-weight:normal!important;font-size:1em!important;font-style:italic!important}
#result .katex-display {margin:0.3em 0}
#result .un1 .katex-html{top:1px}
#result .un2 .katex-html{top:2px}
#result .pdg0{padding:0px 0}
#result .pdg5{padding:5px 0}
#result .pdg10{padding:10px 0}
#result .pdg15{padding:15px 0}
.kttxub {display:inline-block}
.kttxub .katex-display{display:table-caption!important;font-weight:600!important;margin:0!important}
.ktnm .katex-display{display:inline-block!important;font-size:22px!important;margin:0.2em 0!important}
.ktnm .katex .mathnormal, .kttxub .katex .mathnormal{font-style:initial!important}

section.calculator{
display: flex;
justify-content: flex-end;
margin-top: 40px;
margin-bottom: 40px;
}

section.calculator form{
background: #fff;
border-radius: 5px;
box-shadow: 0 3px 15px rgba(231, 231, 231, 0.8);
padding:20px 30px;
min-height:300px;
max-width: 1150px;
}

section.calculator h2{text-align: center;margin-bottom: 30px;}
section.calculator select {padding-left:5px;}
section.calculator .select-clear {
border: none;
outline: none !important;
padding-left: 0px;
background-position: right 2px center;
}
section.calculator .mmrgn .unit-item{margin-top:8px;margin-bottom:8px;}
section.calculator .lmrgn .unit-item{margin-top:10px;margin-bottom:10px;}
section.calculator .xlmrgn .unit-item{margin-top:12px;margin-bottom:12px;}
section.calculator .container .fcma{width:fit-content;margin:0 auto}
section.calculator .unit-row {
display: flex;
justify-content: space-between;
align-items: center;
}

section.calculator .unit-item {display: inline-flex;margin: 4px;}
section.calculator .base-font-size {font-size: 20px;}
section.calculator .large-font-size {font-size: 26px;font-weight: 300;}
section.calculator .unit-group input[type="text"]{
font-size: 20px;
height: 36px;
margin: 7px 0px;
width: 200px;
}

section.calculator .unit-group select{
font-size: 20px;
height: 36px;
margin: 7px 0px;
}

section.calculator #calculate-button{
font-size: 20px;
padding: 4px 8px;
margin: 30px auto;
background: #fff;
height: 36px;
border-color: #000;
color: #000;
}
section.calculator .copy-text {text-decoration: underline;}
section.calculator input[type="text"] {padding-left: 5px;transition: font-size 0.5s ease;}
section.calculator .container .checkboxs input[type="checkbox"] {
width: 14px;
height: 14px;
transform: scale(1.5);
-webkit-transform: scale(1.5);
-ms-transform: scale(1.5); 
margin: 0px 10px 0px 0px;
cursor: pointer;
align-self: center;
}

section.calculator .container .checkboxs label {cursor: pointer;}

@supports (-webkit-touch-callout: none) {
	section.calculator input[type="text"] {
		padding: revert;
	}
}

section.calculator .floating-select {position: relative;width: 100%;}
section.calculator .floating-select select {
position: absolute;
height: initial;
top: 0;
margin: 12px 0 0 0;
padding: 0 18px 0 3px;
transition: scale 500ms, transform 500ms;
transform-origin: right center;
right: 2px;
font-size: 20px;
background-color: #fff;
border: none;
}

section.calculator .floating-select select.surfaced {
scale: 70%;
transform: translate3d(0, -90%, 0); 
opacity: 1;
margin-top: 6px !important;
}

@supports (-webkit-touch-callout: none) {
section.calculator .floating-select select.surfaced {
line-height: 1.5rem;
}
}

section.calculator .floating-label {position: relative;width: 100%;}
section.calculator .floating-label label {
position: absolute;
top: 0;
margin: 11px 0 0 5px;
padding: 0 1px;
transition: all 500ms;
opacity: 0.33;
left: 0;
font-size: 20px;
cursor: text;
pointer-events: none;
}

section.calculator .floating-label input:focus + label,
section.calculator .floating-label input:valid + label,
section.calculator .floating-label input.actinblr + label,
section.calculator .floating-label input[readonly]:not([value=""]) + label,
section.calculator .floating-label input:focus + select + label,
section.calculator .floating-label input:valid + select + label,
section.calculator .floating-label input.actinblr + select + label,
section.calculator .floating-label input[readonly]:not([value=""])  + select + label {
font-size: 80%;
line-height: 1rem;
transform: translate3d(0, -90%, 0); 
opacity: 1;
pointer-events: initial;
background-color: #fff;
}

section.calculator #result {
overflow: hidden;
min-height: 68px;
width: 100%;
-webkit-transition: all 0.9s;
transition: all 0.9s;
-webkit-text-size-adjust: 100%;
}
section.calculator [id^="answer"] {display: block;}
section.calculator [id^="answer"] {width: 100%;overflow: hidden;}
section.calculator #result .chief {
display: flex;
width: 100%;
overflow: hidden;
}

section.calculator .answ {
flex: auto;
line-height: initial;
display: inline-block;
min-width: 30%;
font-size: 24px;
}

section.calculator #result .plate:not(:first-child){-webkit-transition:opacity 0.4s; transition: opacity 0.4s}  
section.calculator #result .chief [id^="copy"] {display: flex;}
section.calculator .answ [id^="group"] {display: block;width: 100%;}
section.calculator .answ .row-an {
display: flex;
min-height: 48px;
align-items: center;
box-sizing: border-box;
overflow-x: auto;
white-space: nowrap;
scrollbar-width: thin;
border-bottom: solid 1px rgba(0,0,0,0);
}
section.calculator .answ .row-an.idata {overflow-y: hidden;}
section.calculator .answ .row-an:last-of-type {border-bottom: solid 1px rgba(0,0,0,0)!important;}
section.calculator .answ .row-an.brdd {border-bottom: solid 1px #f0f0f0;}
section.calculator .row-an.fnon{min-height:0px!important} 
section.calculator .answ .cell-lt {display: inline-block;margin-right: 10px;}
section.calculator .answ .cell-rt {
display: inline-block;
flex: auto;
text-align: right;
}

section.calculator .answ .title-an{padding-top:20px;font-size:24px!important}
section.calculator .answ .title-an.posright{justify-content:right;-webkit-justify-content:flex-end}
section.calculator .answ .formula-on{display:inline-block;vertical-align:top;margin:12px 0}
section.calculator .answ [class*="ftsz"] {vertical-align: baseline;}
section.calculator .answ label, section.calculator .answ font {display: inline-block;}
section.calculator .answ label{vertical-align: top;}
section.calculator #result label {cursor: text;}
section.calculator .copy-link, section.calculator .options {user-select: none;}

section.calculator .options {
opacity: 0;
width: 100%;
font-size: 11px;
line-height: 20px;
-webkit-transition: opacity 0.3s;
transition: opacity 0.3s;
}

section.calculator .options span {
cursor: pointer;
letter-spacing: 0.2px;
text-decoration: none !important;
}

section.calculator .plate .options span:nth-child(2) {display: inline-block;white-space: nowrap;}
section.calculator #result .ftsz3 {font-size:16px}
section.calculator #result .ftsz2 {font-size:18px}
section.calculator #result .ftsz1 {font-size:20px}

section.calculator .close {
font-size: 20px;
padding-left: 7px;
cursor: pointer;
line-height: inherit;
float: right;
user-select: none;
}

.calculator [id^='ressel']{box-sizing:content-box;width:100%;position:absolute;opacity:0;border:none!important;max-width:none!important;margin:0px!important;padding:0px!important;font-size:unset!important;}
.calculator .idatam{float:right;}
.calculator .idatamoff{min-width:1px;width:1px;height:1px;user-select:none}
.calculator .idatam{min-width:1px;text-align: right;flex-shrink: 0;}
.calculator .cell-hi{display:inline-block;font-size:12px;padding-left:7px;vertical-align:top;}
.calculator #result .closing{-webkit-transition:all 0.5s ease-in-out;transition:all 0.5s ease-in-out;opacity:0!important;filter:alpha(opacity=0);transform:translateX(100%);}
.calculator .options span:hover {color:#0424eb;}
.calculator label[id^='resnum'] span{vertical-align:top}
.calculator .seldecl{position:relative;padding-right:20px;}
.calculator .seldecl::after{border-bottom:2px solid rgba(0,0,0);border-right:2px solid rgba(0,0,0);content:'';display:block;height:6px;pointer-events:none;position:absolute;right:5px;top:50%;transform:translate(0, -50%) rotate(45deg);width:6px;}
.calculator .slide-button{cursor:pointer;padding:6px;display:inline-block}
.calculator .slide-button::after{border-bottom:2px solid rgba(0,0,0);border-right:2px solid rgba(0,0,0);content:'';display:inline-block;height:8px;width:8px;pointer-events:none;-webkit-transform:transform:rotate(225deg); transform:rotate(225deg); margin: 3px auto; transition: opacity .7s linear,transform .7s linear,-webkit-transform .7s linear; transform-origin: 65% 65%;margin-left:10px}
.calculator .slide-button.active::after{-webkit-transform: rotate(405deg);transform: rotate(405deg);}
.calculator .copytext, .calculator .copy-link{font-size: 0px;}

section.calculator [class*='values-block'] {white-space: nowrap;}
section.calculator .settings-panel{padding-top: 30px;text-align: center;}
section.calculator .settings input, section.calculator .settings select {min-width: 22px;}
section.calculator .settings #decrease-round, section.calculator .settings #increase-round{
vertical-align: top;
border: 0px;
background: none;
}
.calculator .settings .setting-row {
display: flex;
justify-content: space-between;
white-space: nowrap;
}
.calculator .settings .setting-cell{display: inline-block;margin: 15px 0px;}
section.calculator .settings #calculation-log {
width: 200px;	
max-width: 200px;
text-overflow: ellipsis;
white-space: nowrap;
overflow: hidden;
}
.calculator .converter-container .unit-group{display:inline-block;vertical-align: top;}
.calculator .converter-container  .unit-group .unit-group-header {display: flex;align-items: center;}
.calculator .converter-container .unit-group-row{padding-bottom: 30px;}
.calculator .converter-container .unit-row div{
display: flex;
flex-wrap: wrap;
min-width: 200px;
min-height:40px;
align-content: center;
overflow: auto;
white-space: nowrap;
padding-right: 10px;
}
.calculator .converter-container .unit-group-row a{text-decoration: underline;text-decoration-thickness: 0.5px;}
.calculator  .top-converter .settings{margin-top: 40px;text-align: center;}
.calculator .converter-container .unit-group-header h2{padding-right: 20px;cursor: pointer;}
.calculator .converter-container .unit-group-header h2::after {
border-bottom: 3px solid rgba(0,0,0);
border-right: 3px solid rgba(0,0,0);
content: '';
display: inline-block;
height: 12px;
width: 12px;
pointer-events: none;
-webkit-transform: transform:rotate(-135deg);
transform: rotate(-135deg);
margin: 5px auto;
margin-left: auto;
margin-left: 15px;
transition: opacity .7s linear,transform .7s linear,-webkit-transform .7s linear;
transform-origin: 65% 65%;
}
.calculator .converter-container .rotate180 h2::after {-webkit-transform: rotate(45deg);transform: rotate(45deg);}
.calculator .sub-converter-container, .calculator .sub-converter-container .unit-group-swap {display: flex;}
.calculator .sub-converter-container .unit-group {display: flex;flex: 1 1;}
.calculator .sub-converter-container .unit-group .unit-row {flex-direction: column;flex-grow: 1;}
.calculator .sub-converter-container .unit-group .unit-row select {height: auto;min-height: 36px;width: 100%;}
.calculator .sub-converter-container .unit-group .unit-row input[type="text"] {width: 100%;}
.calculator .sub-converter-container .unit-group-swap input{
all: unset;
cursor: pointer;
display: inline-block;
user-select: none;
margin: 5px;
}
.calculator .sub-converter-container #val1{background-color: #f4f4f4;}
.calculator .sub-converter-container select:not(.collapsed-select){
background: #fff!important;
padding-left: 0px;
padding-right: 0px;
}
.calculator .sub-converter-container #val1:focus + label, .calculator .sub-converter-container #val1:valid + label{
background: linear-gradient(to bottom, white 80%, rgba(255, 255, 255, 0) 80%);
}

section.faqs{margin-top:50px}
section.faqs a{text-decoration:underline}

[id^='keyboard-mobile']{
border-top: 1px solid #E8E8E8;
width:100%;
min-height:200px;
position: fixed;
left: 0;
right: 0;
bottom: 0;
z-index: 999999;
background:white;
display:none;
-webkit-user-select: none;
touch-action: manipulation;
box-sizing: border-box;
}
[id^='keyboard-mobile'] table{width:100%;height:100%;padding:5px 0 8px 0;}
[id^='keyboard-mobile'] table td{width: 20%;text-align: center;vertical-align: middle;font-size: 25px;line-height: 1;border: 1px solid transparent;-webkit-tap-highlight-color: transparent;}
[id^='keyboard-mobile'] table td:active{background:none;border:1px solid#CCD0D3}
[id^='keyboard-mobile'] table td:not(:active){transition:.2s}

#keyboard-settings {font-size:12px;}

form input.brdract {border-color:#c5ddf4!important;box-shadow: 0px 0px 3px 0px rgb(3, 144, 247);-webkit-appearance: none;}

section.rating{
display: flex;
justify-content: flex-end;
margin-bottom: 30px;
}

form.rating-widget {clear: both; display: inline-block;}
form.rating-widget select, form.rating-widget input {margin: 0;}
.rating-static-form-item .form-item, .rating-form-item .form-item {margin: 0; display:flex}
.rating-summary.rating-feedback-enabled {margin-left: 7px;}
div.rating-widget {
display: block; 
padding-top: 1px;
order: 2;
margin-left: 10px;
}
div.rating-widget .cancel, div.rating-widget .star {
float: left; 
width: 22px;
height: 22px;
overflow: hidden;
text-indent: -999em;
}
div.rating-widget .star, div.rating-widget .star a {
background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23D3D3D3'%3E%3Cpath d='M12 2l2.9 6.6L22 9.3l-5 5.1 1.2 7.3L12 18.6 5.8 21.7 7 14.4 2 9.3l7.1-0.7L12 2z'/%3E%3C/svg%3E");
text-decoration: none;
}
div.rating-widget .cancel a, div.rating-widget .star a {
display: block;
width: 100%;
height: 100%;
background-position: 0 0; 
cursor: pointer;
}
div.rating-widget div.on a, div.rating-widget div.hover a, div.rating div a:hover {
background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23FFCF4C'%3E%3Cpath d='M12 2l2.9 6.6L22 9.3l-5 5.1 1.2 7.3L12 18.6 5.8 21.7 7 14.4 2 9.3l7.1-0.7L12 2z'/%3E%3C/svg%3E");
}

.related-links {
max-width: 1150px;
margin: 50px 0;
}
.related-links a {display: inline-block; border: 1px solid #DADEE9; border-radius: 5px; color: #2A2939; font-size: 16px; padding: 4px; margin-bottom: 5px; text-decoration: none;}

.comment .comment_reply {display:none;}

#comments {background: #fff; border-radius: 5px; box-shadow: 0 3px 15px rgba(231, 231, 231, 0.8); padding: 20px 30px; margin-bottom: 40px;}
.comment{margin: 2px 0 12px 0;}
.comment .comment-form p{font-size: 14px; line-height: 160%; word-wrap: break-word;}	
.comment .reply-answer{
font-size: 13px;
color: #747474;
cursor: pointer;
padding: 0px 10px;
display: inline-block;
}
#comments .indented {margin-left: 40px;}
#comment-form #edit-comment{
height: 90px;
width: 100%;	
border: solid 1px #818181;
border-radius: 5px;
padding:2px 4px 1px 6px;
color:#2a2a2a;
}
#comment-form #edit-name{margin: 10px 0 10px 0; padding: 5px; border: solid 1px #818181; border-radius: 5px;}
#comment-button{
border: 1px solid #DADEE9;
border-radius: 5px;
font-size: 19px;
font-weight: 400;
cursor: pointer;
text-align: center;
padding-top:4px;
padding-bottom:4px;
user-select: none;
-webkit-user-select: none;
min-width:300px;
max-width:100%;
width:100%;
margin: 0 auto;
}

#edit-imnotbot-wrapper{display: inline-block;}
#edit-imnotbot-wrapper .option {cursor: pointer; color: #3c3c3c;}
#edit-imnotbot-wrapper input[type=checkbox] {width: 20px; height: 20px;vertical-align: sub;}

#comment-form #edit-submit {
margin: 6px 0 7px 11px; 
background: #000000;
border: none;
padding: 4px 6px;
font-size: 13px;
color: #fff;
border-radius: 3px;
}

#comments .comment {border-top: 1px solid #dddcdc;}
#comments .indented .comment-published {border-top: 1px solid #e9e9e9;}
#comments > div:nth-child(2) {border-top: none;	}
#comments .comment .submitted {margin: 10px;}
#comments .comment .submitted  div:nth-child(1){display: inline-block;font-weight: 400;font-size: 17px;}

.notification-comments {
display:none;
background: #fff;
box-shadow: 0 3px 15px rgba(231, 231, 231, 0.8);
padding: 20px;
margin-bottom: 30px;
font-size: 17px;
}

footer {max-width: 1150px; margin: 0 auto;padding-bottom: 30px;}
footer a:hover {text-decoration: underline;}
footer .footer-top{display: flex;}
footer .footer-top ul li{display: block;margin: 20px 70px 20px 0;}
footer .footer-top ul:last-child li{margin-right: 0px;}
footer .footer-legal{
display: flex;
border-top: 1px solid #DADEE9;
padding: 15px 0 5px 0;
margin-top: 20px;
}
footer .footer-legal li:first-child{margin-right: auto;}
footer .footer-legal li:nth-child(2)::after, footer .footer-legal li:nth-child(3)::after {
content: "";
position: absolute;
height: 15px;
width: 1px;
background-color: #DADEE9;
margin: 6px 0;
}
footer .footer-legal li a{padding: 0 10px;}
footer .footer-legal li:last-child a{padding-right: 0px;}

@media (max-width: 870px) {
.calculator .converter-container .unit-group{width:100%;}
.calculator .converter-container .unit-row div {min-width: initial;}
.calculator .top-converter .settings{ text-align: left;}
.calculator .top-converter .setting-row {flex-direction: column;}
.calculator .converter-container .unit-group input{width: 300px;margin-left:10px;}
.calculator .top-converter .setting-cell{ width: 100%;}
.calculator .top-converter.max-size .unit-row div{
transform: translate3d(0, 60%, 0);
font-size: 90%;
background: #fff;
min-width: initial;
min-height: initial;
padding-right:0px;
margin-left:5px;
width: fit-content;
}
.calculator .top-converter.max-size .unit-row input[type="text"]{width: 100%;}
.calculator .top-converter.max-size .unit-row{display: block;margin-bottom: 5px;}
.calculator .top-converter.max-size h2{margin: 0px 0px 5px;}
}
@media (max-width: 550px) {
.calculator .converter-container .unit-group input{width: 200px;}
}
@media (min-width: 870px) {
.calculator .top-converter .unit-group:first-child{padding-right:40px;}
.calculator .top-converter .setting-row {align-items: center;}
.calculator .top-converter .setting-cell:nth-child(1) {margin-right: auto;}
.calculator .top-converter .setting-row .setting-cell:nth-child(2) {margin: 0 auto;}
.calculator .top-converter .setting-cell:nth-child(2), .calculator .top-converter .setting-cell:nth-child(3) {margin-left: auto;}
.calculator .top-converter.max-size {width: auto;width: min-content;}
.calculator .top-converter.max-size .unit-group{padding-right: 0px!important;width:100%}
.calculator .top-converter.max-size .unit-group input[type="text"]{width:600px;}
section.calculator .sub-converter-container{min-width:650px;}
}

@media (max-width: 1160px) {
.breadcrumb , h1, .comments h2, p, .faqs h2, .faqs h3, h3, .rating, .related-links, #comments, footer, article .catalog {
padding-left: 11px;
padding-right: 11px;
}
#comments p {padding-left: 0px; padding-right: 0px;}
header {padding: 0 7px}
footer h3{padding-left: 0px}
}

@media (max-width: 650px) {
body, .autc-items, .menu {min-width: 360px}	
section.calculator form, #comments, .autc-items {border-radius:0px}
#header {
height: 110px; 
flex-wrap: wrap; 
}
#header {
height: 110px; 
flex-wrap: wrap;
align-items: center; 
}
#header .header-item:last-of-type {width: 100%}
#header .header-item:nth-child(2) {margin-left: auto;}
#menu-button{padding: 0 10px 0 0;}
#menu-button svg{
width: 45px;
height: 45px;
padding-bottom: 0px;
}

.autc-items{
position: absolute;
width: 100%;
left: 0px;
}
#menu.menu{top:63px; right:none; left:0px;}
#menu-button span{display:none;}
.menu-categories{padding: 5px 0;}
.menu-categories a{display: flex;}
.menu-item{
width:100%;
padding: 10px;
border: 0px;
border-radius:0px;
border-bottom: 1px solid #DADEE9;
margin: 0 15px;
}
.menu-categories a:last-child .menu-item{border-bottom: 0px;}
.menu-item div{
width:48%;
display:inline-block;
margin: 0px;
}
.menu-item div:first-child{text-align:left;font-size:22px;}
.menu-item div:last-child{text-align:right;}

section.calculator form {width:100%;padding:15px 10px;}
section.calculator input[type="text"].brdract:focus {outline: none;}
section.calculator .settings #decrease-round, section.calculator .settings #increase-round{display: none;}
.calculator .sub-converter-container select{font-size: 16px!important;}
section.calculator .settings #calculation-log {max-width: 170px;}
.calculator .sub-converter-container select:not(.collapsed-select){padding-left: 5px;}
#comment-button{min-width:220px}
#comments .comment .submitted {margin: 10px 25px;}
footer{font-size: 13px;}
.footer-top{overflow-x: auto;white-space: nowrap;}
footer .footer-top ul li{	margin: 20px 30px 20px 0;}
footer .footer-top ul:last-child li{margin-right: 0px;}
footer .footer-legal {
justify-content: center;
text-align: center;
flex-wrap: wrap;
}
footer .footer-legal li:first-child {
flex-basis: 100%;
order: 2;
margin-top: 20px;
}
footer .footer-legal li:nth-child(2) a{padding-left: 0px;}
footer .footer-legal li:nth-child(2)::after, footer .footer-legal li:nth-child(3)::after {height: 13px;margin: 3px 0;}
}

@media (max-width: 420px) {
section.calculator .converter-container .unit-group input[type="text"]{width:180px;}
.calculator .converter-container .unit-group div{font-size:16px;}	
.calculator .settings-panel .settings, .calculator .settings-panel select {font-size:13px!important;}
section.calculator .settings #calculation-log {max-width: 155px;}
.calculator .settings-panel select {padding-left: 2px;padding-right: 16px;}
.calculator .settings-panel #keyboard-selection {max-width: 90px;}
}

@media (max-width: 600px) {
.calculator .settings-panel .settings, .calculator .settings-panel select {font-size:14px;}
}

@media (max-width: 980px){
.calculator #result [id^='answer']:hover > .answ .options {opacity:0;}
.calculator #result .plate .options {pointer-events: none;}
.calculator #result [id^='answer']:not(:first-child) {opacity: 0.3;}
}

@media (max-width: 480px){
.calculator {width:100%}
}

@media (max-width: 500px){
form[name="form"] select.stretch.nobrd {font-size:15px!important;color:#222;padding-left:0px!important;}
form[name="form"] select.stretch {max-width:none!important;}
#result .cell-hi {display: block!important;}
}

@media (min-width: 1800px){
body{background-size: cover; background-position: 0px -2px;}
}

@media (hover: hover) and (pointer: fine) {
.related-links a:hover, #comment-button:hover, #comment-form #edit-submit:hover, .comment .reply-answer:hover, .menu-item:hover, .categories-item:hover, .slide-button:hover{color: #FFBE0F}
.calculator .slide-button:hover::after {border-color: #FFBE0F;}
section.calculator .inhover .answ .row-an:hover{background:#f9f9f9!important;}
section.calculator .inhover .answ .title-an:hover{background:initial!important;}
.calculator [id^='answer']:hover .options  {opacity: 1; visibility: visible;width:100%;vertical-align: top;-webkit-transition:opacity 1.0s;transition:opacity 1.0s;}
.calculator [id^='answer']:not(:first-child):hover {opacity: 1!important;}
#calculate-button:hover {outline: 1px solid #000;}
}

@media (hover: none) and (pointer: coarse) {
.related-links a:hover, #comment-button:active, #comment-button:focus, #comment-form #edit-submit:hover, .comment .reply-answer:hover, .menu-item:hover, .categories-item:hover {color: #FFBE0F;}
}

@media not all and (min-resolution:.001dpcm)
{ @supports (-webkit-appearance:none) and (stroke-color:transparent) {
@media (orientation: landscape) { 
body{-webkit-text-size-adjust: none;} 
}